Bug 1279020 - Move non-English man pages to -i18n, mark them with %lang
Move non-English man pages to -i18n, mark them with %lang
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: procps-ng (Show other bugs)
27
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 03:23 EST by Ville Skyttä
Modified: 2017-08-15 05:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Move non-English man pages to -i18n, mark them with %lang (1.66 KB, patch)
2015-11-07 03:23 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2015-11-07 03:23:07 EST
'git am'able fix attached, let me know if you'd like me to push and
build this for devel.
Comment 1 Ville Skyttä 2015-11-07 03:23 EST
Created attachment 1090836 [details]
Move non-English man pages to -i18n, mark them with %lang
Comment 2 Jaromír Cápík 2016-01-20 08:58:51 EST
Hello Ville.

The manpages were omitted on purpose. The i18n package was created to allow users of custom scripts to disable translations of the output without manipulating with the LC_* variables in the script bodies. However, there was no such need in case of manuals, where the translation was nice to have and where the switching to the english version can be done easily with the '-L C' option.

I'm not convinced this is a good candidate for a change, but maybe you have a good reason why this is worth of changing. Please, tell me.

Thanks,
Jaromir.
Comment 3 Ville Skyttä 2016-01-20 11:38:23 EST
In my opinion, that is not at all a good packaging design decision. It would have some value if everything in the distro was split to -i18n's that way, not just an isolated case like this, affecting just a few executables. Stuff that needs the output in some language/format should just set the LC_* variables they want.

I assumed that the -i18n package was created due to package size considerations, and moving the non-English man pages into it would fit to that scheme perfectly.

I guess I should stop here because I don't really have anything positive to say if the -i18n package was really created so people would not have to do the right thing in their scripts. It's just wrong.

But in any case, no matter in which package the man pages are, they should be properly marked with %lang.
Comment 4 Jaromír Cápík 2016-01-25 12:55:26 EST
(In reply to Ville Skyttä from comment #3)
> In my opinion, that is not at all a good packaging design decision. It would
> have some value if everything in the distro was split to -i18n's that way,
> not just an isolated case like this, affecting just a few executables. Stuff
> that needs the output in some language/format should just set the LC_*
> variables they want.

Let me explain that. The translations were introduced recently. It's a new upstream feature that could suddenly break custom scripts and we don't want that. Moreover, the translations need tweaks as some of them break layout etc.


> I assumed that the -i18n package was created due to package size
> considerations, and moving the non-English man pages into it would fit to
> that scheme perfectly.

No, really.


> I guess I should stop here because I don't really have anything positive to
> say if the -i18n package was really created so people would not have to do
> the right thing in their scripts. It's just wrong.

It is just a temporary solution.


> But in any case, no matter in which package the man pages are, they should
> be properly marked with %lang.

Ok, that could be fixed.
Comment 5 Jan Kurik 2016-02-24 08:55:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Fedora End Of Life 2017-07-25 15:27:10 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Ville Skyttä 2017-07-26 08:24:31 EDT
The temporary subpackage solution seems to be still there as of procps-ng-3.3.10-13.fc26, and man pages still need %lang'ificiation.
Comment 8 Jan Kurik 2017-08-15 05:48:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Releases/27/HouseKeeping#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.